import * as i0 from '@angular/core';
import { Injectable, Component } from '@angular/core';
import * as i1 from '@angular/forms';
import { Validators, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import * as i3 from '@angular/common';

class NgxLibDemoService {
    constructor() { }
    fetchFormData(formData) {
        console.log(formData);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.2", ngImport: i0, type: NgxLibDemoService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.2", ngImport: i0, type: NgxLibDemoService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.2", ngImport: i0, type: NgxLibDemoService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class NgxLibDemoComponent {
    constructor(fb, formService) {
        this.fb = fb;
        this.formService = formService;
        this.submitted = false;
        this.myForm = this.fb.group({
            userName: ['', Validators.required],
            email: ['', [Validators.email, Validators.required]],
            dateOfBirth: []
        });
    }
    ngOnInit() {
    }
    get userFormControl() {
        return this.myForm.controls;
    }
    save() {
        this.submitted = true;
        console.log('calling save');
        if (this.myForm.valid) {
            this.formService.fetchFormData(this.myForm.value);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.2", ngImport: i0, type: NgxLibDemoComponent, deps: [{ token: i1.FormBuilder }, { token: NgxLibDemoService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.2", type: NgxLibDemoComponent, isStandalone: true, selector: "lib-ngx-lib-demo", ngImport: i0, template: "<form [formGroup]=\"myForm\" (ngSubmit)=\"save()\">\r\n    <h3>User Details\r\n    </h3>\r\n\r\n    <label>\r\n        User Name:\r\n        <input type=\"text\" formControlName=\"userName\">\r\n    </label>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.userName.touched || submitted) && userFormControl?.userName?.errors\">\r\n        Name is required\r\n    </span><br>\r\n\r\n    <label>\r\n        Email:\r\n        <input type=\"email\" formControlName=\"email\">\r\n    </label>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.email.touched || submitted) && userFormControl?.email?.errors?.required\">\r\n        Email is required\r\n    </span>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.email.touched || submitted) && userFormControl?.email?.errors?.email\">\r\n        Enter valid email\r\n    </span>\r\n    <br>\r\n    <label>\r\n        Date of birth:\r\n        <input type=\"date\" formControlName=\"dateOfBirth\">\r\n    </label>\r\n\r\n    <button type=\"submit\">Submit</button>\r\n</form>", styles: [".text-danger{color:red}\n"], dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: BrowserModule }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.2", ngImport: i0, type: NgxLibDemoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-ngx-lib-demo', standalone: true, imports: [
                        FormsModule,
                        ReactiveFormsModule,
                        BrowserModule
                    ], template: "<form [formGroup]=\"myForm\" (ngSubmit)=\"save()\">\r\n    <h3>User Details\r\n    </h3>\r\n\r\n    <label>\r\n        User Name:\r\n        <input type=\"text\" formControlName=\"userName\">\r\n    </label>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.userName.touched || submitted) && userFormControl?.userName?.errors\">\r\n        Name is required\r\n    </span><br>\r\n\r\n    <label>\r\n        Email:\r\n        <input type=\"email\" formControlName=\"email\">\r\n    </label>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.email.touched || submitted) && userFormControl?.email?.errors?.required\">\r\n        Email is required\r\n    </span>\r\n    <span class=\"text-danger\"\r\n        *ngIf=\"(userFormControl.email.touched || submitted) && userFormControl?.email?.errors?.email\">\r\n        Enter valid email\r\n    </span>\r\n    <br>\r\n    <label>\r\n        Date of birth:\r\n        <input type=\"date\" formControlName=\"dateOfBirth\">\r\n    </label>\r\n\r\n    <button type=\"submit\">Submit</button>\r\n</form>", styles: [".text-danger{color:red}\n"] }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: NgxLibDemoService }] });

/*
 * Public API Surface of ngx-lib-demo
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxLibDemoComponent, NgxLibDemoService };
//# sourceMappingURL=ngx-lib-demo.mjs.map
